description: add a testcase description
mode: edit-last-applied
args:
- service
- svc1
outputFormat: yaml
namespace: myproject
expectedStdout:
- 'targetPort: 92'
expectedExitCode: 0
steps:
- type: request
  expectedMethod: GET
  expectedPath: /api/v1/namespaces/myproject/services/svc1
  expectedInput: 0.request
  resultingStatusCode: 200
  resultingOutput: 0.response
- type: edit
  expectedInput: 1.original
  resultingOutput: 1.edited
- type: request
  expectedMethod: PATCH
  expectedPath: /api/v1/namespaces/myproject/services/svc1
  expectedContentType: application/merge-patch+json
  expectedInput: 2.request
  resultingStatusCode: 200
  resultingOutput: 2.response
